package jp.co.asterisk.asreader.l251g.support.util;

import java.util.Locale;
import jp.co.asterisk.asreader.l251g.R;

public class ResUtil {
	
	public static String getId(int id) {
		switch (id) {
		case android.R.id.home:
			return "home";
		case R.id.access_password:
			return "access_password";
		case R.id.action:
			return "action";
		case R.id.action_access_password:
			return "action_access_password";
		case R.id.action_kill:
			return "action_kill";
		case R.id.action_kill_password:
			return "action_kill_password";
		case R.id.action_lock:
			return "action_lock";
		case R.id.action_perma_lock:
			return "action_perma_lock";
		case R.id.action_read:
			return "action_read";
		case R.id.action_unlock:
			return "action_unlock";
		case R.id.action_write:
			return "action_write";
		case R.id.add_mask:
			return "add_mask";
		case R.id.address:
			return "address";
		case R.id.app_logo:
			return "app_logo";
		case R.id.auto_off_time:
			return "auto_off_time";
		case R.id.background:
			return "background";
		case R.id.bank:
			return "bank";
		case R.id.bank_layout:
			return "bank_layout";
		case R.id.barcode:
			return "barcode";
		case R.id.barcode_count:
			return "barcode_count";
		case R.id.barcode_demo:
			return "barcode_demo";
		case R.id.barcode_option:
			return "barcode_option";
		case R.id.barcodes:
			return "barcodes";
		case R.id.battery:
			return "battery";
		case R.id.battery_interval:
			return "battery_interval";
		case R.id.buzzer:
			return "buzzer";
		case R.id.cancel:
			return "cancel";
		case R.id.cb_checkbox:
			return "cb_checkbox";
		case R.id.clear:
			return "clear";
		case R.id.clear_mask:
			return "clear_mask";
		case R.id.code_id:
			return "code_id";
		case R.id.code_type:
			return "code_type";
		case R.id.default_all_symbologies:
			return "default_all_symbologies";
		case R.id.demo_version:
			return "demo_version";
		case R.id.disable_all_symbologies:
			return "disable_all_symbologies";
		case R.id.edit_mask:
			return "edit_mask";
		case R.id.enable_all_symbologies:
			return "enable_all_symbologies";
		case R.id.epc:
			return "epc";
		case R.id.file_list:
			return "file_list";
		case R.id.file_name:
			return "file_name";
		case R.id.firmware_version:
			return "firmware_version";
		case R.id.session_flag:
			return "session_flag";
		case R.id.idle_time:
			return "idle_time";
		case R.id.inventory:
			return "inventory";
		case R.id.inventory_session:
			return "inventory_session";
		case R.id.inventory_time:
			return "inventory_time";
		case R.id.kill_password:
			return "kill_password";
		case R.id.length:
			return "length";
		case R.id.mask:
			return "mask";
		case R.id.mask_action:
			return "mask_action";
		case R.id.mask_bank:
			return "mask_bank";
		case R.id.mask_count:
			return "mask_count";
		case R.id.mask_length:
			return "mask_length";
		case R.id.mask_list:
			return "mask_list";
		case R.id.mask_offset:
			return "mask_offset";
		case R.id.mask_target:
			return "mask_target";
		case R.id.mask_type:
			return "mask_type";
		case R.id.mask_value:
			return "mask_value";
		case R.id.match_mode:
			return "match_mode";
		case R.id.menu_connect_device:
			return "menu_connect_device";
		case R.id.menu_disconnect:
			return "menu_disconnect";
		case R.id.message:
			return "message";
		case R.id.name:
			return "name";
		case R.id.offset:
			return "offset";
		case R.id.option:
			return "option";
		case R.id.option_default:
			return "option_default";
		case R.id.password:
			return "password";
		case R.id.password_layout:
			return "password_layout";
		case R.id.path:
			return "path";
		case R.id.phase:
			return "phase";
		case R.id.progress_bar:
			return "progress_bar";
		case R.id.radio:
			return "radio";
		case R.id.read_memory:
			return "read_memory";
		case R.id.remove_mask:
			return "remove_mask";
		case R.id.rssi:
			return "rssi";
		case R.id.rssi_background:
			return "rssi_background";
		case R.id.save:
			return "save";
		case R.id.save_symbologies:
			return "save_symbologies";
		case R.id.selection:
			return "selection";
		case R.id.set_option:
			return "set_option";
		case R.id.speed:
			return "speed";
		case R.id.sub_items:
			return "sub_items";
		case R.id.symbol_list:
			return "symbol_list";
		case R.id.symbols:
			return "symbols";
		case R.id.value:
			return "value";
		case R.id.tag_access:
			return "tag_access";
		case R.id.tag_count:
			return "tag_count";
		case R.id.tag_list:
			return "tag_list";
		case R.id.tag_phase:
			return "tag_phase";
		case R.id.tag_rssi:
			return "tag_rssi";
		case R.id.tag_value:
			return "tag_value";
		case R.id.target:
			return "target";
		case R.id.tid:
			return "tid";
		case R.id.total_tag_count:
			return "total_tag_count";
		case R.id.used:
			return "used";
		case R.id.user:
			return "user";
		case R.id.value1:
			return "value1";
		case R.id.value2:
			return "value2";
		case R.id.value3:
			return "value3";
		case R.id.value4:
			return "value4";
		case R.id.write_memory:
			return "write_memory";
		case R.id.write_value:
			return "write_value";
		}
		return String.format(Locale.US, "%d", id);
	}
}
